Description

This is a guide for installing ArchAssault on bare vanilla Arch Linux.

Prepare the Environment

e WARNING: Commands are run as root, may eat your cat:
sudo -s
® Make sure the system is up to date:

pacman —Syu

Install the Repository

e Edit /etc/pacman.conf:
nano /etc/pacman.conf
e Add an entry for the ArchAssault repo at the bottom:
[archassault]
Server = https://repo.archassault.org/archassault/$repo/os/$Sarch

o If you're running on x86_64 you will also need to uncomment [multilib] support from community if you haven't already:

[multilib]
Include = /etc/pacman.d/mirrorlist

e Grab the signed key and locally sign it:

pacman-key -r CClD2606 && pacman—-key —--lsign-key CC1lD2606
e Save and exit, then install the keyring and mirrorlist packages:

pacman —-Syyu archassault-keyring archassault-mirrorlist

® Open /etc/pacman.d/archassault-mirrorlist with a text editor:
nano /etc/pacman.d/archassault-mirrorlist

o Choose a mirror you would like to use and remove the # at the beginning of the line if there is one, then add a # to the
beginning of any lines without one that have mirrors you do not wish to use. For example, to use the mirror at psg.mtu.edu,
it will looks something like:

#Server = http://mirror.catn.com/pub/archassault/S$Srepo/os/Sarch
#Server = http://www.mirrorservice.org/sites/repo.archassault.org/archassault/$repo/os/$ar
ch

## United States

#Server = http://repo.archassault.org/archassault/Srepo/os/S$arch

Server = http://psg.mtu.edu/pub/archassault/S$repo/os/S$arch

#Server = http://ftp-mirror.internap.com/pub/archassault/Srepo/os/Sarch
http://mirror. jmu.edu/pub/archassault/$repo/os/S$arch

#Server

e Then edit /etc/pacman.conf again:

nano /etc/pacman.conf

o Inside, configure pacman to use the ArchAssault mirrorlist rather than the single server set earlier by replacing:

#Server http://repo.archassault.org/archassault/S$Srepo/os/$Sarch
Include = /etc/pacman.d/archassault-mirrorlist

e Sync the repo with the configured mirror:

pacman —-Syy

Installing Packages

You may now install tools from the ArchAssault repository. For a list of all the possible groups, please see our package groups page.

e To list all of the available tools, run:

pacman —Sgg

e To install all of the tools in the main archassault group, run:

pacman —-S archassault

* To install packages from ArchAssault wireless group, run:

pacman —-S archassault-wireless

e To view the list of ArchAssault package groups, run:

pacman —-Sg

Resources

e https://wiki.archassault.org/Repo
https://wiki.archassault.org/Repo

History

#1 - 06/06/2015 02:42 PM - Daniel Curtis
- % Done changed from 0 to 100

#2 - 06/06/2015 02:42 PM - Daniel Curtis

- Status changed from New to Resolved

#3 - 06/12/2015 10:33 AM - Daniel Curtis

- Status changed from Resolved to Closed
